Page MenuHomePhabricator

VisualEditor's save dialog should use OOUI checkboxes
Closed, ResolvedPublic1 Story Points

Description

The save dialog is the only thing in VE that is still not using standard checkboxes (for the minor edit and watch checkboxes). This should be changed.

Details

Related Gerrit Patches:
mediawiki/extensions/VisualEditor : masterConvert save checkboxes to OOUI widgets

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

Jay8g created this task.Jan 13 2015, 4:35 AM
Jay8g raised the priority of this task from to Needs Triage.
Jay8g updated the task description. (Show Details)
Jay8g added a subscriber: Jay8g.

Depends on the checkboxes being constructed by VisualEditor rather than the current anti-pattern that MediaWiki requires.

Ryasmeen triaged this task as Normal priority.Jan 15 2015, 1:31 AM
Ryasmeen set Security to None.
Ryasmeen moved this task from To Triage to Freezer on the VisualEditor board.

So we get the HTML for these checkboxes from the server at the moment - they come from EditPage (in MW core) and rely on hooks being run (e.g. to add FlaggedRev's checkbox)

Maybe it could use OO.ui.infuse (with some custom code to transform it pre-infuse if needed)?

Mattflaschen-WMF renamed this task from Save dialog should use OOJS-UI (MW-UI) checkboxes to Save dialog should use OOJS-UI checkboxes.Jun 4 2015, 11:19 PM
Jdforrester-WMF renamed this task from Save dialog should use OOJS-UI checkboxes to VisualEditor's save dialog should use OOUI checkboxes.Jun 15 2015, 8:18 PM

Change 231300 had a related patch set uploaded (by Esanders):
Convert save checkboxes to OOUI widgets

https://gerrit.wikimedia.org/r/231300

Change 231300 merged by jenkins-bot:
Convert save checkboxes to OOUI widgets

https://gerrit.wikimedia.org/r/231300

Jdforrester-WMF closed this task as Resolved.Aug 17 2015, 5:54 PM
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF edited a custom field.